
const express = require('express')
const router = express.Router()

router.post('/before_receive', (req, res) => {
	console.log('in before_receive, body:', req.body)
	res.send(Buffer.from('qe.MESSAGE = new message'))
})

router.post('/route', (req, res) => {
	console.log('in route, qe:', req.body.qe)
	const qe = req.body.qe
	let respbuf = ''
	if (qe.DESTADDR === '123')
		respbuf = Buffer.from('route = out')
	res.send(respbuf)
})

router.use((req, res, next) => {
	console.log('nothing to do for %s %s', req.method, req.url)
	res.status(404).end()
})

module.exports = router

